Name:           python-webknossos
Version:        2.0.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python API for working with WEBKNOSSOS datasets, annotations, and for WEBKNOSSOS server interaction.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        AGPL-3.0
URL:            https://docs.webknossos.org/webknossos-py
Source:         %{pypi_source webknossos}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'webknossos' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-webknossos
Summary:        %{summary}

%description -n python3-webknossos %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-webknossos all,bioformats,czi,examples,imagecodecs,tifffile


%prep
%autosetup -p1 -n webknossos-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,bioformats,czi,examples,imagecodecs,tifffile


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-webknossos -f %{pyproject_files}


%changelog
%autochangelog